%global osname  %(cat /etc/redhat-release | awk '{sub(/ release.*/,""); print}')
%global pkgmgr  dnf
%global               debug_package %{nil}

Name:           krop
Version:        0.7.0
Release: 2.fc42
Summary:        Tool to crop PDF files with an eye towards eReaders
License:        GPLv3+
URL:            http://arminstraub.com/software/krop
Source0:        http://arminstraub.com/downloads/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch

# upstreamable patch, see also
# https://bugzilla.redhat.com/show_bug.cgi?id=1707034
# https://github.com/arminstraub/krop/issues/23
Patch1: krop-0.5.1-sip_namespace.patch

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools
BuildRequires:  python3-PyPDF2
BuildRequires:  python3-pikepdf
BuildRequires:  poppler-qt6-devel
Requires:       python3-%{name} = %{version}-%{release}


%description
Krop is a simple graphical tool to crop the pages of PDF files. A unique feature
of krop is its ability to automatically split pages into subpages to fit the
limited screen size of devices such as eReaders. This is particularly useful, if
your eReader does not support convenient scrolling.

%package -n python3-%{name}
Summary:    Python3 module for %{name}
Requires:   python3-PyPDF2 python3-PyQt5 python3-poppler-qt5
%{?python_provide:%python_provide python3-%{name}}
Requires:  python3-PyPDF2
Requires:  python3-pikepdf
Requires:  poppler-qt6


%description -n python3-%{name}
%{summary}.


%prep
%setup -q
# In terms of OS available on Koji. "of" is needed since Ubuntu appears as font.
find . -type f -name '*.py' -exec sed -i -e 's/of ubuntu/of %{osname}/Ig' \
 -e 's|apt-get|%{pkgmgr}|g' -e 's|python-pypdf|pyPdf|g' '{}' +

#%patch1 -p1 -b .sip_namespace


%build
%py3_build

%install
%py3_install
desktop-file-install --dir=%{buildroot}%{_datadir}/applications com.arminstraub.krop.desktop
DESTDIR="%{buildroot}" appstream-util install com.arminstraub.krop.metainfo.xml


%check
%{__python3} setup.py check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/com.arminstraub.krop.metainfo.xml

%files
%doc ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/com.arminstraub.krop.desktop
/usr/share/icons/hicolor/scalable/apps/com.arminstraub.krop.svg
/usr/share/metainfo/com.arminstraub.krop.metainfo.xml
%{_metainfodir}/com.arminstraub.krop.metainfo.xml
/usr/share/man/man1/krop.1.gz
/usr/share/appdata/com.arminstraub.krop.metainfo.xml

%files -n python3-%{name}
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{name}/
%license LICENSE


%changelog
